#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xJf cairo-1.12.14.tar.xz
    cd cairo-1.12.14
    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	    --disable-valgrind --disable-gtk-doc-html --enable-glx=no \
	    --enable-xcb=no
    make
    strip -R .note -R .comment src/.libs/libcairo.so.2
    mkdir -p ../libcairo2/lib
    cp src/.libs/libcairo.so.2 ../libcairo2/lib/
    cd ..
    rm -rf cairo-1.12.14
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
